<h2>
	Rejstrik rastlin
</h2>
	Filter ({{plants.length}} found):<br/>
	<div layout="row">
		Search string: {{filter.search}}<br/>
	</div>
  <div ng-if="filter.expanded">
		<div layout="row">Category: {{getCategoryName(filter.category)}}</div>
	  <div layout="row">Family: {{getFamilyName(filter.family)}}</div>
		<div layout="row">Tags:	<span layout="column" ng-repeat="tag in filter.tags">#{{tag.name}}</span></div>
	</div>
	<br/>
<hr/>
<br/>
<ui-gmap-google-map class="all-plants-map-print" center='map.center' zoom='map.zoom'>
	<!--<ui-gmap-markers models="markers" coords="'self'" icon="'icon'" events='map.markerEvents' options='map.markerOptions'>-->
	</ui-gmap-markers>
</ui-gmap-google-map>
<div layout="row">
	<md-checkbox ng-click="toggleFilteringByMapview()" ng-model="filterByMap" aria-label="Filter by map view">
            Filter by map view
  </md-checkbox>
</div>
<!-- results table -->
<div class="all-plants-table-print">
	<md-table-container>
	    <table md-table class="menusTable" >
	        <thead md-head md-order="tableModel.query.order">
	        <tr md-row>
	            <th md-column>
								<md-menu>
									<md-button aria-label="Column settings" class="md-icon-button" ng-click="openMenu($mdOpenMenu, $event)">
										<i class="material-icons">settings</i>
									</md-button>
									<md-menu-content class="table-columns-options-menu" width="4">
        						<md-menu-item>
											<md-checkbox ng-model="visibleColumns.name_lat" aria-label="Latin name">Latin name</md-checkbox>
										</md-menu-item>
										<md-menu-item>
											<md-checkbox ng-model="visibleColumns.name" aria-label="Czech name">Czech name</md-checkbox>
									  </md-menu-item>
										<md-menu-item>
											<md-checkbox ng-model="visibleColumns.family_lat" aria-label="Latin family">Latin family</md-checkbox>
										</md-menu-item>
										<md-menu-item>
											<md-checkbox ng-model="visibleColumns.family" aria-label="czech family">Czech family</md-checkbox>
										</md-menu-item>
										<md-menu-item>
											<md-checkbox ng-model="visibleColumns.category" aria-label="category">Category</md-checkbox>
										</md-menu-item>
									</md-menu-content>
							  </md-menu>
								<span>#Id</span>
							</th>
	            <th ng-if="visibleColumns.name_lat" md-column><span>Name (LAT)</span></th>
							<th ng-if="visibleColumns.name" md-column><span>Name (CZ)</span></th>
							<th ng-if="visibleColumns.family_lat" md-column><span>Family (LAT)</span></th>
							<th ng-if="visibleColumns.family" md-column><span>Family (CZ)</span></th>
							<th ng-if="visibleColumns.category" md-column><span>Category</span></th>
	        </tr>
	        </thead>
	        <tbody class="md-body">
	        <tr md-row md-select="plant" md-select-id="id" md-auto-select
					 ng-repeat="plant in plants track by plant.id">
	            <td md-cell>{{plant.id}}</td>
	            <td ng-if="visibleColumns.name_lat" md-cell>{{plant.name_lat}}</td>
							<td ng-if="visibleColumns.name" md-cell>{{plant.name}}</td>
							<td ng-if="visibleColumns.family_lat" md-cell>{{plant.family_name_lat}}</td>
							<td ng-if="visibleColumns.family" md-cell>{{plant.family_name}}</td>
							<td ng-if="visibleColumns.category" md-cell>{{plant.category_name}}</td>
	        </tr>
	        </tbody>
	    </table>
	</md-table-container>
	</div>
